$(function() {	
		$("#behaviorEditor").on("focusout",".editor input",function(){
		    var input = $(this);
		    if(input.attr("required") == "required" && input.val() == ""){
		    	information("Please fill in the parameter");
		    	input.focus();
		    }	    
		})
		$("#pluginEditor").on("focusout",".editor input",function(){
		    var input = $(this);
		    if(input.attr("required") == "required" && input.val() == ""){
		    	if (input.attr("type") != "file")
		    		information("Please fill in the parameter");
		    	input.focus();
		    }	    
		});
});

function checkPluginsInput(plugins, usePlugin) {

	for (var i = 0; i < plugins.length; i++){
		for (var j = 0; j < plugins[i].parameters.length; j++){
			if (plugins[i].parameters[j].check =="false"){
				$("#tabs").tabs("option", "active", 0 );
				
				var usePluginEditorMap = usePlugin.getUsePluginEditorMap();
			    $("#pluginEditor").append(usePluginEditorMap.get(plugins[i].id));
			    var inputs = $("#"+ plugins[i].parameters[j].key + " input");
			    for (var p = 0; p < inputs.length; p++){
			    	if ($(inputs[p]).val() == ""){
			    		$(inputs[p]).focus();
			    		break;
			    	}
			    }
				return false;								
			}
		}
	}
	return true;
}

function checkPagesInput(pages, usePlugin) {

	for (var i = 0;i < pages.length; i++){
		for (var j = 0; j < pages[i].batches.length; j++){
			for (var k = 0; k < pages[i].batches[j].behaviors.length; k++){
				for (var q = 0; q < pages[i].batches[j].behaviors[k].parameters.length; q++){
					if (pages[i].batches[j].behaviors[k].parameters[q].check =="false"){
						$("#tabs").tabs("option", "active", 1 );
						var behaviorEditorMap = usePlugin.getBehaviorEditorMap();
					    $("#behaviorEditor").append(behaviorEditorMap.get(pages[i].batches[j].behaviors[k].id));
					    var inputs = $("#"+ pages[i].batches[j].behaviors[k].parameters[q].key + " input");
					    for (var p = 0; p < inputs.length; p++){
					    	if ($(inputs[p]).val() == ""){
					    		$(inputs[p]).focus();
					    		break;
					    	}
					    }
						return false;								
					}
				}
				
			}
		}
	}
	return true;
}