package org.bench4q.share.models.master.statistics;

import java.util.LinkedList;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class ScriptBehaviorBriefModel {
	private int behaviorId;
	private String BehaviorUrl;
	private long successCountFromBegin;
	private long totalCountFromBegin;
	private List<ScriptBehaviorStatusCodeModel> detailStatusList;

	public ScriptBehaviorBriefModel() {
		this.setDetailStatusList(new LinkedList<ScriptBehaviorStatusCodeModel>());
	}

	@XmlElement
	public int getBehaviorId() {
		return behaviorId;
	}

	public void setBehaviorId(int behaviorId) {
		this.behaviorId = behaviorId;
	}

	@XmlElement
	public String getBehaviorUrl() {
		return BehaviorUrl;
	}

	public void setBehaviorUrl(String behaviorUrl) {
		BehaviorUrl = behaviorUrl;
	}

	@XmlElement
	public long getSuccessCountFromBegin() {
		return successCountFromBegin;
	}

	public void setSuccessCountFromBegin(long successCountFromBegin) {
		this.successCountFromBegin = successCountFromBegin;
	}

	@XmlElement
	public long getTotalCountFromBegin() {
		return totalCountFromBegin;
	}

	public void setTotalCountFromBegin(long totalCountFromBegin) {
		this.totalCountFromBegin = totalCountFromBegin;
	}

	@XmlElementWrapper(name = "statusResults")
	@XmlElement
	public List<ScriptBehaviorStatusCodeModel> getDetailStatusList() {
		return detailStatusList;
	}

	public void setDetailStatusList(List<ScriptBehaviorStatusCodeModel> list) {
		this.detailStatusList = list;
	}

}
